Bug 688627 - no GNOME menu item for rhn_register GUI
no GNOME menu item for rhn_register GUI
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
5.6
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Miroslav Suchý
Martin Minar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-17 10:41 EDT by Jan Hutař
Modified: 2011-07-21 03:08 EDT (History)
3 users (show)

See Also:
Fixed In Version: rhn-client-tools-0.4.20-48.el5
Doc Type: Bug Fix
Doc Text:
The file /usr/share/application/rhn_register.desktop was missing in the previous version of the rhn-setup-gnome package. Therefore, there was a menu item missing in the graphical user interface of the rhn_register utility. This problem has been fixed: the file is now included and the utility works as expected.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-21 03:08:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2011-03-17 10:41:24 EDT
Description of problem:
I have GNOME and rhn-setup-gnome installed and there is missing *.desktop file => there is missing graphical menu item for the registration tool.


Version-Release number of selected component (if applicable):
rhn-setup-gnome-0.4.20-46.el5


How reproducible:
always


Steps to Reproduce:
1. # rpm -ql rhn-setup-gnome | grep desktop


Actual results:
No menu item for the registration utility


Expected results:
There should be menu item as on RHEL6


Additional info:
This worked for me:
echo '[Desktop Entry]' >/usr/share/applications/my-rhn-register.desktop
echo 'Name=RHN Registration' >>/usr/share/applications/my-rhn-register.desktop
echo 'Categories=Application;SystemSetup;X-Red-Hat-Base;' >>/usr/share/applications/my-rhn-register.desktop
echo 'Icon=up2date.png' >>/usr/share/applications/my-rhn-register.desktop
echo 'Exec=/usr/sbin/rhn_register' >>/usr/share/applications/my-rhn-register.desktop
echo 'Type=Application' >>/usr/share/applications/my-rhn-register.desktop
echo 'Terminal=false' >>/usr/share/applications/my-rhn-register.desktop
echo 'Encoding=UTF-8' >>/usr/share/applications/my-rhn-register.desktop
echo 'X-Desktop-File-Install-Version=0.10' >>/usr/share/applications/my-rhn-register.desktop
Comment 1 Miroslav Suchý 2011-03-17 15:05:11 EDT
Back ported from spacewalk.git as rev. 201835.
Comment 4 Eliska Slobodova 2011-06-29 07:58:31 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The file /usr/share/application/rhn_register.desktop was missing in the previous version of the rhn-setup-gnome package. Therefore, there was a menu item missing in the graphical user interface of the rhn_register utility. This problem has been fixed: the file is now included and the utility works as expected.
Comment 5 errata-xmlrpc 2011-07-21 03:08:53 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0997.html

Note You need to log in before you can comment on or make changes to this bug.